Subject: Re: [pcp] Comments on draft-bpw-pcp-dhcp-03.txt

From: <[email-masked]>
Date: Wed, 27 Apr 2011 09:44:56 +0200

Dear Dave, all,

Many thanks for your review and comments. We received also a detailed review from Tomasz.

A new version taking into account your comments and those of Tomasz has been submitted. The new version is available at: https://datatracker.ietf.org/doc/draft-bpw-pcp-dhcp/

FWIW, the diff can be found at:
http://tools.ietf.org/rfcdiff?url2=draft-bpw-pcp-dhcp-04

Any further comment is welcome.

Cheers,
Med

-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]] De la part de Dave Thaler
Envoyé : lundi 28 mars 2011 20:19
À : [email-masked]
Objet : [pcp] Comments on draft-bpw-pcp-dhcp-03.txt

[personal opinions, no hats]

I think this draft is a good starting point but has a couple of significant problems that need to be fixed in my opinion.  A summary is:

1) As written, it explicitly depends on DNS.  Since this option is configuring a PCP client, *not* a DNS resolver, I do not believe this is appropriate.  The PCP protocol should have no hard dependency on the DNS protocol.   Instead it should be configuring domain names, or "strings" that are passed to a name resolution library.  As explained in RFC 3493 and RFC 6055 and the POSIX API spec, name resolution APIs are NOT tied to DNS, but are protocol agnostic.   DNS is one of several mechanisms by which the name can be resolved (others include hosts file, mDNS, LLMNR, NetBios, etc., and that's if the string isn't an IP literal).  

2) As written, it may require code changes to DHCPv6 implementations.   DHCPv6 clients and DHCPv6 servers that already support arbitrary options should be able to be compliant without any code changes.   This is not the DHC WG and we are not chartered to make DHCP protocol changes.  I think the draft should just be defining options in a way that is consistent with the existing protocol, and I believe it is straightforward to do so.

3) This copies some things that more properly belong in the PCP base spec, or are already mentioned in the DHCP protocol spec and need not repeated (and certainly not normatively).

For detailed comments on specific text, refer to the attached PDF.

-Dave